<?php
/* @var $this HoursController */
/* @var $kids All Kids */

$this->breadcrumbs = array(
    'Generate Main Script' => array('generate'),
    'Generate per Semester' => array('genRequest'),
);

/*$this->menu = array(
    array('label' => 'List Hours', 'url' => array('index')),
    array('label' => 'Create Hours', 'url' => array('create')),
    array('label' => 'Manage Hours', 'url' => array('admin')),
    array('label' => 'Generate per Request', 'url' => array('genRequest')),
    array('label' => 'Generate per Trimester', 'url' => array('genSemester')),
);*/
?>

<link rel="stylesheet" href="//code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css">
<script src="//code.jquery.com/ui/1.11.4/jquery-ui.js"></script>

<?php
Yii::app()->clientScript->registerScript('DatePicker', "
  
    $( '#s_date' ).datepicker({
        changeMonth: true,//this option for allowing user to select month
        changeYear: true, //this option for allowing user to select from year range
        dateFormat: 'yy-mm-dd',
    });

    $( '#e_date' ).datepicker({
        changeMonth: true,//this option for allowing user to select month
        changeYear: true, //this option for allowing user to select from year range
        dateFormat: 'yy-mm-dd',
    });

");
?>

<h1>Generovanie hodín individuálne</h1>
<p>Vygeneruje hodiny pre zvolené dieťa vo vybraných termínoch (na základe Zápisu daného dieťaťa).</p>

<form method="post" action="index.php?r=hours/genRequest">
    Dátum od: YYYY-MM-DD <br /> <input type="text" name="start_date" id="s_date"/><br /><br />
    Dátum do: YYYY-MM-DD <br /> <input type="text" name="end_date" id="e_date"/><br /><br />
    Dieťa:<br /> 
    <select name="ID_kid">
        <?php
        foreach ($kids as $kid) {
            echo '<option value="' . $kid->ID . '">' . $kid->surname . ' '. $kid->name . '</option>';
        }
        ?>
    </select><br />
    <br />
    <br />


    <input type="submit" value="Generuj hodiny pre vybrané dieťa v zvolenom časovom úseku" /><br />
</form>

<pre>
    <?php //print_r($enl); ?>
</pre>
