<?php /* @var $this Controller */ ?>
<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<meta name="language" content="en">

	<!-- blueprint CSS framework -->
	<link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->request->baseUrl; ?>/css/screen.css" media="screen, projection">
	<link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->request->baseUrl; ?>/css/print.css" media="print">
	<!--[if lt IE 8]>
	<link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->request->baseUrl; ?>/css/ie.css" media="screen, projection">
	<![endif]-->

	<link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->request->baseUrl; ?>/css/main.css">
	<link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->request->baseUrl; ?>/css/form.css">

	<title><?php echo CHtml::encode($this->pageTitle); ?></title>
</head>

<body>

<div class="container" id="page">

	<div id="header">
		<div id="logo"> <a href="index.php"><img src=http://bighuggym.com/images/logo-circle.png alt="logo" width="60px" /></a> <?php echo CHtml::encode(Yii::app()->name); ?></div>
	</div><!-- header -->

	<div id="mainmenu">
		<?php $this->widget('zii.widgets.CMenu',array(
			'items'=>array(
				array('label'=>'Domov', 'url'=>array('/trainer/index')),
        array('label'=>'Moje nastavenia', 'url'=>array('trainer/mojeUdaje')),
				//array('label'=>'O nás', 'url'=>array('/sprava/page', 'view'=>'about')),
				//array('label'=>'Plnosť rozvrhu', 'url'=>array('/users/rozvrh')),
        //array('label'=>'Registrácia', 'url'=>array('/users/register')),
        //array('label'=>'Moje rozvrhy', 'url'=>array('trainer/mojRozvrh')),
        array('label'=>'Rozvrh', 'url'=>array('trainer/celyRozvrh','for'=>date('Y-m-d'))),
        array('label'=>'Klienti', 'url'=>array('trainer/zobrazKlientov')),
        array('label'=>'Pomoc', 'url'=>array('trainer/pomoc')),
        //array('label'=>'Kontakt', 'url'=>array('/trainer/contact')),
        array('label'=>'Prihlásenie', 'url'=>array('/site/login'), 'visible'=>Yii::app()->user->isGuest),
				
        array('label'=>'Odhlásenie ('.Yii::app()->user->name.')', 'url'=>array('/site/logout'), 'visible'=>!Yii::app()->user->isGuest)
			),
		)); ?>
	</div><!-- mainmenu -->
	<?php if(isset($this->breadcrumbs)):?>
		<?php $this->widget('zii.widgets.CBreadcrumbs', array(
			'links'=>$this->breadcrumbs,
      'homeLink'=>Chtml::link('Home', array('trainer/index')),
		)); ?><!-- breadcrumbs -->
	<?php endif?>
  <div id="content">
	 <?php echo $content; ?>
  </div>
	<div class="clear"></div>

	<div id="footer">
		Copyright &copy; <?php echo date('Y'); ?> by BigHugGym & JaOnMi.<br/>
		All Rights Reserved.<br/>
		<!--<?php echo Yii::powered(); ?>-->
	</div><!-- footer -->

</div><!-- page -->

</body>
</html>
