<?php
/* @var $this TimetableController */
/* @var $model Timetable */

$this->breadcrumbs=array(
	'Timetables'=>array('index'),
	'Manage',
);

$this->menu=array(
	//array('label'=>'List Timetable', 'url'=>array('index')),
	array('label'=>'Vytvoriť hodinu v rozvrhu', 'url'=>array('create')),
  array('label'=>'Zobrazenie v tabuľke', 'url' => array('/users/rozvrh/admin')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#timetable-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1>Rozvrh hodín</h1>

<p>
Nasledujúce záznamy predstavujú rozvrh hodín v aktuálnom trimestri. Na tieto záznamy sú naviazané zápisy detí.
</p>
<p>
Pred vymazaním hodiny z rozvrhu skontrolujte, či na danú hodinu nie sú prihlasení užívatelia. Ak áno, je ich potrebné najskôr vymazať v menu Zápisy.
</p>

<?php echo CHtml::link('Rozšírené vyhladávanie','#',array('class'=>'search-button')); ?>
<div class="search-form" style="display:none">
<?php $this->renderPartial('_search',array(
	'model'=>$model,
)); ?>
</div><!-- search-form -->

<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'timetable-grid',
	'dataProvider'=>$model->search(),
	'filter'=>$model,
	'columns'=>array(
		'ID',
		/*array(
      'name' => 'Gym',
      'value' => function ($data){
        $lbl = Gyms::model()->findByPK($data->gym_ID);
        echo $lbl->name;  
      },
      'filter' => false,
      'sortable' => false,
    ), */
    'gym_ID',
		array(
      'name'=>'Deň',
      'value'=> function ($data) {
       $dni = ['Pondelok', 'Utorok', 'Streda', 'Štvrtok', 'Piatok', 'Sobota', 'Nedeľa' ];
       echo $dni[$data->week_day-1];       
      },
      'filter' => false,
      'sortable' => false,
      
    ),
    'week_day',
		'time_start',
		'time_end',
		//'label',
    //'trainer',
    array(
        'name'=>'Kurz',
        'value'=> function ($data) {
        $cs = Classes::model()->findByPk($data->lesson);
        return $cs->name;  
        },
        'filter' => true,
        'sortable' => false,
    ),
    array(
      'name' => 'Meno trénera - ID',
      'value' => function ($data){
        $tname = Users::model()->findByPK($data->trainer);
        echo $tname->user_name.' - '. $data->trainer;
      },
      'filter' => false,
      'sortable' => false,
    ),
    //array(
    //  'name' => 'Počet detí',
    //  'value' => function ($data){
        //print_r($data);
    //    $count = Enlist::model()->countByAttributes(array(
    //      'ID_timet'=> $data->ID,
    //    ));
    //    $from = Gyms::model()->findByPK($data->gym_ID);
        
    //    echo $count. ' / '. $from->capacity;
    //  },
    //  'filter' => false,
    //  'sortable' => false,
    //),
    //array(
    //  'name' => 'Mená detí',
    //  'value' => function ($data){  
    //    $ekids = Enlist::model()->findAllByAttributes(array(
    //      'ID_timet'=> $data->ID,
    //    ));
    //    foreach ($ekids as $value) {
    //      $tkid = Kids::model()->findByPK($value->ID_kid);
    //      echo CHtml::link($tkid->name .'_'. $tkid->surname .'<br />', array('kids/view','id'=>$value->ID_kid));
    //    }             	
    //  },  
    //  'filter' => true,
    //  'sortable' => false,      
    //),
    //array(
    //  'name' => 'Prihlásiť ďalších',
    //  'value' => function ($data){ // BEGIN function 
    //    echo CHtml::link('Prihás sem', array('enlist/create','ID_timet'=>$data->ID));           	
    //  }, // END function
    //  'sortable' => false,
    //  'filter' => false,   
    //),
		/*
		'notes',
		
		*/
		array(
			'class'=>'CButtonColumn',
		),
	),
)); ?>
