<?php

$this->breadcrumbs=array(
	'Users'=>array('index'),
        'Hromadný mail'
);

$this->menu=array(
	//array('label'=>'List Users', 'url'=>array('index')),
	//array('label'=>'Create Users', 'url'=>array('create')),
	//array('label'=>'Update Users', 'url'=>array('update', 'id'=>$model->ID)),
	//array('label'=>'Delete Users', 'url'=>'#', 'linkOptions'=>array('submit'=>array('delete','id'=>$model->ID),'confirm'=>'Are you sure you want to delete this item?')),
	//array('label'=>'Manage Users', 'url'=>array('admin')),
);
?>

<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.9/summernote-lite.css" rel="stylesheet">
<script src="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.9/summernote-lite.js"></script>


<?php
Yii::app()->clientScript->registerScript('editor', "
$('#mailBody').summernote({
  placeholder: 'TEXT',
  tabsize: 2,
  height: 200,
	toolbar: [
		['style', ['bold', 'italic', 'underline', 'clear']],
		['font', ['strikethrough', 'superscript', 'subscript']],
		['fontsize', ['fontsize']],
		['color', ['color']],
		['para', ['ul', 'ol', 'paragraph']],
		['height', ['height']],
		['code', ['codeview']],
	]
});
");
?>

<h1>Hromadný email</h1>
<h2>Krok 2: Príprava textu a odoslanie</h2>

<p>Podľa vašich kritérií boli vygenerované emailové adresy spolu pre <strong> <?php echo sizeof($data) ?> adresátov</strong>.</p>
<p>Nižšie sú predmetné adresy rozdelené do skupín po maximálne 100 adries. Kvôli možnostiam servera a aj kontrole odosielania je potrebné hromadný mail odosielať postupne v skupinách po maximálne 100 adresátov v časových intervaloch aspoň 20 minút medzi jednotlivými odosielaniami.</p>
<p>Hromadný mail skoncipujete nižšie. Do poľa Adresáti nakopírujte (3-klik do daného poľa) obsach prvých 100 adries, vyplňte Predmet správy, Text správy a odošlite. Postup opakujte po min. 20 minútach s tým, že do poľa Adresáti  prekopírujete adresy z druhej vygenerovanej skupiny emailových adries. V tomto duchu pokračujte aj s prípadnou treťou či ďaľsími vygenerovanými skupinami adries. Do poľa adresátov môžete pre kontrolu doplniť váš email.</p>
<br />

<h3>Vygenerované adresy v skupinách po max. 100 adries:</h3>
<hr>
<div style="overflow: scroll; width: 650px; height: 150px">
    <?php
    $i = 0;
    foreach ($data as $solo){
        echo $solo->email.', ';
        $i++;
        if($i % 100 == 0){
            echo '</div><br /><hr>';
            echo '<div style="overflow: scroll; width: 650px; height: 150px">';    
        }
    }
    ?>
</div><br /><hr><br />

<form action="index.php?r=users/massmail" name="massEmail" id="massEmail" method="post" >
    <!-- <input type="hidden" name="recipients" id="rcpt" value='<?php //echo json_encode($attrib); ?>'/> -->
    <h3>Adresáti:</h3>
      <p>Nakopírujte (3-klik do daného poľa) vygenerované adresy z vybraného vyšsie uvedeného poľa. Adresy je možné vyplniť aj manuálne, prípadne pre kontrolu doplniť k nakopírovanému zoznamu svoju adresu. Pozor na korektné uvádzanie emailových adries a ich oddeľovanie čiarkou. </p>
     <textarea name="recipients" id="rcpt" style="width: 650px"></textarea><br /><br />    
    <h3>Predmet správy:</h3>
     <input name="mailSubj" style="width: 650px" id="mailSubj" value="..."/><br /><br />
    <h3>Text správy:</h3>
     <textarea name="mailBody" style="width: 650px; height: 500px" id="mailBody">

...<br /><br /> 

S pozdravom<br />
Váš tím BigHugGym<br /><br />

BigHugGym, s.r.o. <br />
Ivanská cesta 30/B, 821 04 Bratislava<br /><br />                                                                                                  

ruzinov.bighuggym.sk<br /><br />  

+421 948 207 828<br />
ruzinov@bighuggym.sk<br /><br />                                                                                              

<a href="https://www.facebook.com/Big-Hug-Gym-Ru%C5%BEinov-841306545945648/">facebook.com/BigHugGymRuzinov</a><br />
twitter.com/BHG_Ruzinov<br /><br />

    </textarea>
    <br />
    <p>Alternatívou je vytvorenie a odoslanie textu z Gmailu - skopírovaním a použitím vygenerovaných emailových adries uvedených vyššie.</p>
    <br />    
    <input type="submit" name="confirm" value="Odošli hromadný mail">
</form>
<br /><br />
<h3>Zoznam telefónnych čísel pre horeuvedených rodičov:</h3> 
<div style="overflow: scroll; width: 650px; height: 150px">
    <?php
    foreach ($data as $solo){
        echo $solo->phone_num.', ';
    }
    ?>
</div>
