<?php
/* @var $this TimetableController */
/* @var $model Timetable */
/* @var $form CActiveForm */
?>

<div class="form">

<?php
    Yii::app()->clientScript->registerScript('Nametyper',"
		$('#Timetable_week_day,#Timetable_gym_ID,#Timetable_time_start,#Timetable_time_end,#Timetable_lesson').change(function () {
    		$('#Timetable_label').val( 'D' + $('#Timetable_week_day').val() +'_G'+ $('#Timetable_gym_ID').val() + '_' + $('#Timetable_lesson').val() + '_' + $('#Timetable_time_start').val() + $('#Timetable_time_end').val()) ;
		});
    ",CClientScript::POS_READY);
?>

<?php $form=$this->beginWidget('CActiveForm', array(
	'id'=>'timetable-form',
	// Please note: When you enable ajax validation, make sure the corresponding
	// controller action is handling ajax validation correctly.
	// There is a call to performAjaxValidation() commented in generated controller code.
	// See class documentation of CActiveForm for details on this.
	'enableAjaxValidation'=>false,
)); ?>

	<p class="note">Fields with <span class="required">*</span> are required.</p>

	<?php echo $form->errorSummary($model); ?>

	<div class="row">
		<?php 
			echo "Skupina: ";	
			$gyms = Gyms::model()->findAll(); 	
			$gymList = CHtml::listData($gyms, 'ID', 'name');
			//print_r($parentList);
			echo $form->dropDownList($model, 'gym_ID', $gymList);
		?>			
		<?php //echo $form->labelEx($model,'gym_ID'); ?>
		<?php //echo $form->textField($model,'gym_ID'); ?>
		<?php //echo $form->error($model,'gym_ID'); ?>
	</div>
  <?php print_r($model->week_day) ?>
	<div class="row">
		<?php	echo "Deň v týždni: "; ?>
		<select name="Timetable[week_day]" id="Timetable_week_day">
			<option <?php if ($model->week_day == 1){ echo "selected"; }?> value="1">Pondelok</option>
			<option <?php if ($model->week_day == 2){ echo "selected"; }?> value="2">Utorok</option>
			<option <?php if ($model->week_day == 3){ echo "selected"; }?> value="3">Streda</option>
			<option <?php if ($model->week_day == 4){ echo "selected"; }?> value="4">Štvrtok</option>
			<option <?php if ($model->week_day == 5){ echo "selected"; }?> value="5">Piatok</option>
			<option <?php if ($model->week_day == 6){ echo "selected"; }?> value="6">Sobota</option>
			<option <?php if ($model->week_day == 7){ echo "selected"; }?> value="7">Nedeľa</option>			
		</select>	
		<?php //echo $form->labelEx($model,'week_day'); ?>
		<?php //echo $form->textField($model,'week_day',array('size'=>15,'maxlength'=>15)); ?>
		<?php //echo $form->error($model,'week_day'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'time_start'); ?>
		<?php echo $form->textField($model,'time_start'); ?>
		<?php echo $form->error($model,'time_start'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'time_end'); ?>
		<?php echo $form->textField($model,'time_end'); ?>
		<?php echo $form->error($model,'time_end'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'notes'); ?>
		<?php echo $form->textField($model,'notes'); ?>
		<?php echo $form->error($model,'notes'); ?>
	</div>


	<div class="row">
		<?php 
			echo "Tréner: ";	
			$trainers = Users::model()->findAllByAttributes(array('rights_ID' => 3)); 	
			$trainersList = CHtml::listData($trainers, 'ID', 'user_name');
			//print_r($trainers);
      //print_r(Users::model()->findAll());
			echo $form->dropDownList($model, 'trainer', $trainersList);
		?>	

		<?php //echo $form->labelEx($model,'trainer'); ?>
		<?php //echo $form->textField($model,'trainer'); ?>
		<?php //echo $form->error($model,'trainer'); ?>
	</div>

	<div class="row">
		<?php	echo "Hodina: "; ?>
		<select name="Timetable[lesson]" id="Timetable_lesson">
			<option <?php if ($model->lesson == 'zabky') echo "selected"; ?> value="zabky">Žabky</option>
			<option <?php if ($model->lesson == 'hrosikovia') echo "selected"; ?> value="hrosikovia">Hrošíkovia</option>
			<option <?php if ($model->lesson == 'orangutani') echo "selected"; ?> value="orangutani">Orangutani</option>
			<option <?php if ($model->lesson == 'zajacikovia') echo "selected"; ?> value="zajacikovia">Zajačikovia</option>
			<option <?php if ($model->lesson == 'gepardi') echo "selected"; ?> value="gepardi">Gepardi</option>
			<option <?php if ($model->lesson == 'levy') echo "selected"; ?> value="levy">Levy</option>
		</select>
		<?php //echo $form->labelEx($model,'lesson'); ?>
		<?php //echo $form->textField($model,'lesson',array('size'=>45,'maxlength'=>45)); ?>
		<?php //echo $form->error($model,'lesson'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'label'); ?>
		<?php echo $form->textField($model,'label',array('size'=>50,'maxlength'=>50)); ?>
		<?php echo $form->error($model,'label'); ?>
	</div>

	<div class="row buttons">
		<?php echo CHtml::submitButton($model->isNewRecord ? 'Create' : 'Save'); ?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- form -->