<!DOCTYPE html>
<!--[if lt IE 7 ]><html class="ie ie6" lang="sk"> <![endif]-->
<!--[if IE 7 ]><html class="ie ie7" lang="sk"> <![endif]-->
<!--[if IE 8 ]><html class="ie ie8" lang="sk"> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!-->
<html xmlns="https://www.w3.org/1999/xhtml" lang="sk">
<!--<![endif]-->
<?php
  $settings['page']['sk'] = 'https://ruzinov.bighuggym.sk/'; 
  $settings['page']['en'] = 'https://ruzinov.bighuggym.com/';
?>
<head>
	<title>BigHugGym</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>


	<!-- Seo Meta -->
		<meta name="description" content="BigHugGym je špeciálny, edukatívny gymnastický program, realizovaný prostredníctvom zábavných fyzických aktivít.">
		<meta name="keywords" content="BigHugGym, Big Hug Gym, kam s deťmi, pohybová príprava, cvičebný program, aktivity, gymnastika, zdravie, životný štýl, šport, narodeninové oslavy, kurzy, batoľatá, letné kempy, tínedžer, škôlka, škola, detské jasle, rodina, telocvičňa, fitnes, tréning, dieťa">

	<!-- Styles -->
		<link rel="stylesheet" type="text/css" href="<?php echo $settings['page']['sk']; ?>style.css" media="screen" />
		<link rel="stylesheet" type="text/css" href="<?php echo $settings['page']['sk']; ?>js/rs-plugin/css/settings.css" media="screen" />
		<link rel="stylesheet" type="text/css" href="<?php echo $settings['page']['sk']; ?>styles/font-awesome/css/font-awesome.css" media="screen" />	
		<link rel="stylesheet" type="text/css" href="https://fonts.googleapis.com/css?family=Oswald&amp;subset=latin-ext,latin">

	<!-- Favicons -->
		<link rel="shortcut icon" href="<?php echo $settings['page']['sk']; ?>images/favicon.ico">
		<link rel="apple-touch-icon" href="<?php echo $settings['page']['sk']; ?>images/favicon.png">

	<!--[if IE]>
		<meta http-equiv="X-UA-Compatible" content="IE=9; IE=8; IE=EmulateIE8; IE=EDGE" />
		<script src="https://html5shim.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->
	<!--[if IE 8]><link rel="stylesheet" type="text/css" href="styles/ie.css" media="screen" /><![endif]-->
  <link rel="stylesheet" type="text/css" href="<?php echo $settings['page']['sk']; ?>color/dark-carrot.css" media="screen">
  <link rel="stylesheet" type="text/css" href="<?php echo $settings['page']['sk']; ?>styles/nivo-slider/default/default.css" media="screen">
  <link rel="stylesheet" href="<?php echo $settings['page']['sk']; ?>js/fancybox/jquery.fancybox.css" type="text/css" media="screen" />

</head>
<body>
<script>
var myCallback = function() {
  if (document.readyState == 'complete') {
    // Document is ready when CSE element is initialized.
    // Render an element with both search box and search results in div with id 'test'.
    google.search.cse.element.render(
        {
          div: "gcse",
          tag: 'search',
          gname: 'bhg-gcse'
         });
  } else {
    // Document is not ready yet, when CSE element is initialized.
    google.setOnLoadCallback(function() {
       // Render an element with both search box and search results in div with id 'test'.
        google.search.cse.element.render(
          {
            div: "gcse",
            tag: 'search',
            gname: 'bhg-gcse'
          });
    }, true);
  }
};

// Insert it before the CSE code snippet so that cse.js can take the script
// parameters, like parsetags, callbacks.
window.__gcse = {
  parsetags: 'explicit',
  callback: myCallback
};


  (function() {
    var cx = '006484030867691630672:3n3wuaijrye';
    var gcse = document.createElement('script');
    gcse.type = 'text/javascript';
    gcse.async = true;
    gcse.src = (document.location.protocol == 'https:' ? 'https:' : 'http:') +
        '//www.google.com/cse/cse.js?cx=' + cx;
    var s = document.getElementsByTagName('script')[0];
    s.parentNode.insertBefore(gcse, s);
  })();
</script>


<span id="topHook"></span>

<script>!function(d,s,id){
  var js,fjs=d.getElementsByTagName(s)[0];if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src="//platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");
</script>

	<div id="layout" class="full">
			  
		<div class="breadcrumb">
			<div class="row clearfix">
            <p></p>
				<ul>
					<li><a href="https://ruzinov.bighuggym.sk" title="Homepage">BigHugGym Ružinov</a></li>
					<li>Skúšobná hodina zadarmo</li>
				</ul>
				<div class="proline"><span class="sqi"></span></div>
			</div><!-- row -->
		</div><!-- breadcrumb -->

	   <?php echo $content; ?>


		
	</div><!-- end layout -->
<div id="toTop"><i class="icon-angle-up"></i></div>
<!-- Scripts -->
	<script type="text/javascript" src="<?php echo $settings['page']['sk']; ?>js/jquery.min.js"></script>
	<script type="text/javascript" src="<?php echo $settings['page']['sk']; ?>js/superfish.js"></script>
	<!-- <script type="text/javascript" src="js/jquery.easing.1.3.js"></script> -->
	<script type="text/javascript" src="<?php echo $settings['page']['sk']; ?>js/jquery.flexslider-min.js"></script>
	<script type="text/javascript" src="<?php echo $settings['page']['sk']; ?>js/twitter/jquery.tweet.js"></script>
	<script type="text/javascript" src="<?php echo $settings['page']['sk']; ?>js/custom.js"></script>
	<script type="text/javascript" src="https://maps.google.com/maps/api/js?sensor=false"></script>
	<script type="text/javascript" src="<?php echo $settings['page']['sk']; ?>js/gmap3.js"></script>
  <script type="text/javascript">
    jQuery(document).ready(function() {
      for(i=1;i<=31;i++){  
        jQuery('.daysDDM').append($('<option>', { 
          value: i,
          text : i 
        }));
      }
      for(i=1;i<=12;i++){  
        jQuery('.monthsDDM').append($('<option>', { 
          value: i,
          text : i 
        }));
      }
      var cdt = new Date();
      var currentYear = cdt.getFullYear();
      for(i=currentYear;i>=currentYear-50;i--){  
        jQuery('.yearsDDM').append($('<option>', { 
          value: i,
          text : i 
        }));
      }      
    
    });
  </script>
  <script type="text/javascript" src="<?php echo $settings['page']['sk']; ?>js/jQuery.scale.js"></script>
  <script type="text/javascript" src="<?php echo $settings['page']['sk']; ?>js/fancybox/jquery.fancybox.pack.js"></script>
  <script type="text/javascript">
    jQuery(document).ready(function() {
      jQuery('#rules').fancybox({type: 'iframe'});
    });
  </script> 
  <script src="https://jqueryvalidation.org/files/dist/jquery.validate.min.js"></script>
  <script src="https://jqueryvalidation.org/files/dist/additional-methods.min.js"></script>
  <script src="https://crypto-js.googlecode.com/svn/tags/3.0.2/build/rollups/md5.js"></script>

</body>
</html>